Bug 216153 - www/webkit-qt4: fails to build on armv6
Summary: www/webkit-qt4: fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on: 210027
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-16 20:31 UTC by Mikael Urankar
Modified: 2017-05-07 19:35 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
armv6 fix (4.13 KB, patch)
2017-01-16 20:31 UTC, Mikael Urankar
no flags Details | Diff
armv6 fix (5.26 KB, patch)
2017-02-07 12:11 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2017-01-16 20:31:19 UTC
Created attachment 178970 [details]
armv6 fix

Hi,

webkit-qt4 doesn't build on armv6.
The attached patch fixes the issue.

Thanks in advance.
Comment 1 Mikael Urankar freebsd_committer 2017-02-07 12:11:19 UTC
Created attachment 179700 [details]
armv6 fix

I forgot to patch a file in my previous patch.
Comment 2 Mikael Urankar freebsd_committer 2017-04-27 07:23:03 UTC
ping
Comment 3 commit-hook freebsd_committer 2017-05-07 19:30:30 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  7 19:29:46 UTC 2017
New revision: 440357
URL: https://svnweb.freebsd.org/changeset/ports/440357

Log:
  www/qt*-webkit: unbreak on armv6

  In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:26:
  In file included from ./Source/JavaScriptCore/config.h:30:
  ./Source/WTF/wtf/Platform.h:308:6: error: "Not supported ARM architecture"
  #    error "Not supported ARM architecture"
       ^
  <inline asm>:149:16: error: invalid operand for instruction
  vmov.u32 r2, r3, s8, s9

  PR:		216153 217208
  Submitted by:	mikael.urankar@gmail.com

Changes:
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_jit_ExecutableAllocator.h
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_wtf_Platform.h
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FEGaussianBlurNEON.cpp
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FELightingNEON.cpp
  head/www/qt5-webkit/files/patch-Source_WTF_wtf_Platform.h
  head/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
Comment 4 commit-hook freebsd_committer 2017-05-07 19:34:37 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  7 19:33:40 UTC 2017
New revision: 440359
URL: https://svnweb.freebsd.org/changeset/ports/440359

Log:
  MFH: r440357

  www/qt*-webkit: unbreak on armv6

  In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:26:
  In file included from ./Source/JavaScriptCore/config.h:30:
  ./Source/WTF/wtf/Platform.h:308:6: error: "Not supported ARM architecture"
  #    error "Not supported ARM architecture"
       ^
  <inline asm>:149:16: error: invalid operand for instruction
  vmov.u32 r2, r3, s8, s9

  PR:		216153 217208
  Submitted by:	mikael.urankar@gmail.com
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q2/
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_jit_ExecutableAllocator.h
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_wtf_Platform.h
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FEGaussianBlurNEON.cpp
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FELightingNEON.cpp
  branches/2017Q2/www/qt5-webkit/files/patch-Source_WTF_wtf_Platform.h
  branches/2017Q2/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp